Subject: Re: [bitcoin-dev] Seeking concept ACKs for transaction terminology BIP

From: josibake <[email-masked]>
Date: Fri, 21 Apr 2023 09:36:08 +0000

Big Concept ACK.

I've participated in several Bitcoin developer education programs over the past few years and have noticed that a consistent stumbling block for students is reconciling the different terms used in blogs, transcripts, mailing list posts, etc.

Having a reference document like this to include early in the curriculum(s) will help reduce cognitive load.

In particular, I'd like to highlight the importance of the "synonyms" field: since we can't retroactively re-write materials using different terms, having the synonyms will help map various resources to a shared terminology.

Thanks for working on this!

Cheers,
Josie

Sent with Proton Mail secure email.

------- Original Message -------
On Wednesday, April 5th, 2023 at 8:54 PM, Murch via bitcoin-dev <[email-masked]> wrote:

> Hey everyone,

> Over the years, I have participated in a few conversations about various
> aspects of transactions. Often a chunk of the conversation is spent on
> establishing a shared vocabulary. There are many competing terms—e.g. I
> can think of at least three additional terms that refer to `scriptPubKey`.
> 

> I’ve drafted an informational BIP that proposes terminology for various
> components and aspects of transactions. As some established terms are
> already contradictory, the proposal does not aim for a perfectly
> consistent selection of terms, but rather just to establish a shared
> vocabulary to avoid confusion.
> 

> Draft: https://github.com/Xekyo/bips/pull/1
> 

> Please let me know whether you’d be interested in the creation of such a
> BIP.
> 

> Cheers,
> Murch
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev